--- old/usr/src/tools/smatch/src/validation/alias-mixed.c	Mon Nov 18 13:20:21 2019
+++ /dev/null	Mon Nov 18 13:20:21 2019
@@ -1,30 +0,0 @@
-extern int g;
-
-
-static int foo(int *p)
-{
-	*p = 1;
-	g = 2;
-	return *p == 1;
-}
-
-static int bar(int *p)
-{
-	g = 1;
-	*p = 2;
-	return g == 1;
-}
-
-static void test(void)
-{
-	foo(&g);
-	bar(&g);
-}
-
-/*
- * check-name: alias symbol/pointer
- * check-command: test-linearize $file
- * check-output-ignore
- *
- * check-output-excludes: ret\\..* *\\$1
- */
--- /dev/null	Mon Nov 18 13:20:21 2019
+++ new/usr/src/tools/smatch/src/validation/mem2reg/alias-mixed.c	Mon Nov 18 13:20:21 2019
@@ -0,0 +1,30 @@
+extern int g;
+
+
+static int foo(int *p)
+{
+	*p = 1;
+	g = 2;
+	return *p == 1;
+}
+
+static int bar(int *p)
+{
+	g = 1;
+	*p = 2;
+	return g == 1;
+}
+
+static void test(void)
+{
+	foo(&g);
+	bar(&g);
+}
+
+/*
+ * check-name: alias symbol/pointer
+ * check-command: test-linearize $file
+ * check-output-ignore
+ *
+ * check-output-excludes: ret\\..* *\\$1
+ */
